show_os_cursor(3)

NAME
show_os_cursor - Low level function to display the operating system cursor. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int show_os_cursor(int cursor);

DESCRIPTION
In case you do not need Allegro's mouse cursor API, which automatically emulates a cursor in software if no other cursor is available, you can use this low level function to try to display or hide the system cursor directly. The cursor parameter takes the same values as select_mouse_cursor. This function is very similar to calling enable_hardware_cursor, select_mouse_cursor and show_mouse, but will not try to do anything if no system cursor is available. The most common use for this function is to just call it once at the beginning of the program to tell it to display the system cursor inside the Allegro window. The return value can be used to see if this succeeded or not. On some systems (e.g. DirectX fullscreen) this is not supported and the function will always fail, and in other cases only some of the cursors will work, or in the case of MOUSE_CURSOR_ALLEGRO, only certain bitmap sizes may be supported. You never should use show_os_cursor together with the function show_mouse and other functions affecting it (select_mouse_cursor, enable_hardware_cursor, disable_hardware_cursor, scare_mouse, unscare_mouse). They implement the standard high level mouse API, and don't work together with this low level function.

RETURN VALUE
Returns 0 if a system cursor is being displayed after the function returns, or -1 otherwise.

SEE ALSO
show_mouse(3), set_mouse_cursor_bitmap(3), select_mouse_cursor(3)